Start a new topic

SDK 7 IOS (dynamic library)

Maybe if you are struggle with SDK 7 and IOS when you are trying to upload to Appstore with Unsupported Architectures(image below)


You can strip the fat libraries or unnecesary library for release.

Under Build phases on xcode check that embed framework has Wikitude.framework and afeter Run script phase with the script ( you can change name as you want)


We hope it work for you :)




Hello Jose,

Thank you very much for posting your solution here in order to help other forum users as well!



Hi Jose Luis Rios,

I am having the the similar issues as you stated on this post when i tried submit the app to apple store.

Actually, i having the error as image below when tried validate the app in xcode.


After these error appeared, i tried to delete the "" and  "" file in modules folder which located in the path below:


After deleted these files, i get the same error as you mention in this post.


I tried to fix it by follow your instruction and here is my build Phases setting


This screen was opened from the file "EventNow.xcodeproj" which is located at [Appcelerator_Studio_Workspace/EventNowApp/build/iphone/EventNow.xcodeproj]

i also tried copy the "" in the path [/Users/dinghengduan/Library/Application Support/Titanium/mobilesdk/osx/6.3.0.GA/iphone/templates/build/] and rename it as "" and "". But still not able to solve the error,

Can you please explain more detail about what should i do on the embed frameworks config and  strip framework architectures config. Because i got no idea how to fix it. 

i also tried create a question in the Wikitude FAQ as the url below but they are totally ignore my question. 

You should download the first atachment and put it on the strip framework archicture.

Also i forget , using wikitude 7.0.0 you need to change the path on ti.dynamiclib.js on line 17 in hooks folder

Hi Jose

Thanks you very much for your help and the solution you provided is worked for me.

Login or Signup to post a comment